javax.xml.registry

## Class UnsupportedCapabilityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.registry.JAXRException
      - - javax.xml.registry.UnsupportedCapabilityException

- All Implemented Interfaces:
    Serializable, JAXRResponse

      public class UnsupportedCapabilityException
      extends JAXRException

  This exception must be thrown when a JAXR client attempts to invoke an API method that is not supported by the capability profile that is supported by the JAXR provider.
  Author:
    Farrukh S. Najmi
  See Also:
    `RegistryService`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.xml.registry.JAXRException

      `cause`

    - ### Fields inherited from interface javax.xml.registry.JAXRResponse

      `STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedCapabilityException()` Constructs a `JAXRException` object with no reason or embedded Throwable.
    `UnsupportedCapabilityException(String reason)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
    `UnsupportedCapabilityException(String reason, Throwable cause)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
    `UnsupportedCapabilityException(Throwable cause)` Constructs a `JAXRException` object initialized with the given `Throwable` object.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.registry.JAXRException

      `getCause, getMessage, getRequestId, getStatus, initCause, isAvailable`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedCapabilityException

          public UnsupportedCapabilityException()

      Constructs a `JAXRException` object with no reason or embedded Throwable.

    - #### UnsupportedCapabilityException

          public UnsupportedCapabilityException(String reason)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
      Parameters:
        `reason` - a description of what caused the exception

    - #### UnsupportedCapabilityException

          public UnsupportedCapabilityException(String reason,
                                        Throwable cause)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
      Parameters:
        `reason` - a description of what caused the exception
        `cause` - a `Throwable` object that is to be embedded in this `JAXRException` object

    - #### UnsupportedCapabilityException

          public UnsupportedCapabilityException(Throwable cause)

      Constructs a `JAXRException` object initialized with the given `Throwable` object.
      Parameters:
        `cause` - the Throwable that caused this Exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.